Issue - Fetch Background Visualization

Fetch the background visualization of the issue

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Monitor/accounts/{azureMonitorWorkspaceName}/issues/{issueName}/fetchBackgroundVisualization?api-version=2025-10-03

URI Parameters

Name In Required Type Description
azureMonitorWorkspaceName
path True

string

pattern: ^(?!-)[a-zA-Z0-9-]+[^-]$

The name of the Azure Monitor Workspace. The name is case insensitive

issueName
path True

string

pattern: ^(?!-)[a-zA-Z0-9-]+[^-]$

The name of the IssueResource

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

BackgroundVisualization

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Issue_FetchBackgroundVisualization_MaximumSet

Sample request

POST https://management.azure.com/subscriptions/aceaa046-91f0-492a-96dc-45e10a9183dc/resourceGroups/rg1/providers/Microsoft.Monitor/accounts/myWorkspace/issues/3f29e1b2b05f8371595dc761fed8e8b3/fetchBackgroundVisualization?api-version=2025-10-03

Sample response

{
  "visualization": "{\"type\":\"AdaptiveCard\",\"version\":\"1.3\",\"body\":[{\"type\":\"TextBlock\",\"text\":\"Issue Background Visualization\",\"size\":\"Large\",\"weight\":\"Bolder\"},{\"type\":\"TextBlock\",\"text\":\"This adaptive card provides background context for the issue including related metrics, logs, and diagnostic information.\",\"wrap\":true},{\"type\":\"FactSet\",\"facts\":[{\"title\":\"Affected Resources\",\"value\":\"5 virtual machines\"},{\"title\":\"Impact Duration\",\"value\":\"2 hours 15 minutes\"},{\"title\":\"Severity Level\",\"value\":\"High\"}]},{\"type\":\"Container\",\"items\":[{\"type\":\"TextBlock\",\"text\":\"Key Metrics\",\"weight\":\"Bolder\"},{\"type\":\"TextBlock\",\"text\":\"CPU Utilization: 95%\\nMemory Usage: 87%\\nDisk I/O: High\",\"wrap\":true}]}]}",
  "origin": {
    "addedBy": "171a811c-2a3a-4e6c-b742-f78f5f6ca51c",
    "addedByType": "Manual"
  }
}

Definitions

Name Description
AddedByType

The type of entity that added data to the issue

BackgroundVisualization

The issue background visualization

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Origin

Details about the origin of the entity - the source that added it to the issue

AddedByType

The type of entity that added data to the issue

Value Description
Manual

The data was added manually by a user

Automatic

The data was added automatically

BackgroundVisualization

The issue background visualization

Name Type Description
origin

Origin

The background visualization origin

visualization

string

The background visualization content, in Adaptive Card format

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Origin

Details about the origin of the entity - the source that added it to the issue

Name Type Description
addedBy

string

The ID of the origin - for example, in case of 'Manual', the user ID/app ID, and in case of 'Automatic', the name of the automatic system

addedByType

AddedByType

The source of the origin - Manual or Automatic